package ru.yandex.webmaster3.core.blackbox;

/**
 * @author avhaliullin
 */
public class UserEmailInfo {
    private final String email;
    private final boolean nativeEmail;
    private final boolean defaultEmail;
    private final boolean validatedEmail;

    public UserEmailInfo(String email, boolean nativeEmail, boolean defaultEmail, boolean validatedEmail) {
        this.email = email;
        this.nativeEmail = nativeEmail;
        this.defaultEmail = defaultEmail;
        this.validatedEmail = validatedEmail;
    }

    public String getEmail() {
        return email;
    }

    public boolean isNativeEmail() {
        return nativeEmail;
    }

    public boolean isDefaultEmail() {
        return defaultEmail;
    }

    public boolean isValidatedEmail() {
        return validatedEmail;
    }
}
